Subject: getty_ps2.0.6b ... testing release
From: [email-masked] (Kris Gleason)
Date: 19 Mar 93 16:28:53 GMT
Newsgroups: comp.os.linux.announce

Ok... for those of you that have been following along:
[those who haven't can skip a bit]

There is yet-another version of getty_ps... getty_ps2.0.6b.
It is a testing release, so there may still be a few problems.
If you don't have the stomach for code that is not well tested,
by all means keep killing your getty by hand every time you
want to call out; wait for 2.0.7. 

The distribution comes as a complete tar.z file (so you need
gunzip) with sources and binaries compiled with libc 4.3.2.
If you don't have this library, you have to recompile.  It
has been tested only on 0.99.7 kernel, but should work on anything
after 0.99.5.  There is also a set of diffs against 2.0.6a, if
you have that.

I think that I have the bug with job control under control
now.  This should fix the following bugs that have been 
reported to me:

  ^C ^\ ^Z not working in shells 
  tcsh's  "Warning: No access to tty ($%^&)" error
  problems running the SLS menu program

There is one more caveat that seems to be a problem:  uugetty
tends to 'flicker' the DTR line a little bit.  This flicker
does not cause problems on my modem, but it may on yours.  If
it does (calls get disconnected before carrier), try the
following things:

  Increase the Delay to DTR parameter of your modem (S25 for a Hayes)
  Ignore DTR completely (&D0 for a Hayes)
  Use the getty program rather than the uugetty program

Those of you who are annoyed by this can rest assured that this will
be fixed in the near future... if you can bear with it for a week or
so.  I haven't heard too much about this, so I assume it's not a big
problem with everyone.

I need feedback about whether the job control stuff actually worked.
Please mail me success/failure stories with details if possible.

For those of you who tried this once, thanks for your patience.

Here is the Announcement file for those of you who may have missed
it before:

---------------
GETTY_PS 2.0.6b
---------------

This is the new version of getty_ps for Linux kernels 0.99.5 and higher.
The code has been changed to allow cooperation with the new callout devices
that come with 0.99.5.  As a result, some of the configuration has also 
changed (mainly, the WAITFOR option is no longer useful... the modem must
be set up to autoanswer)

FEATURES:
  New Features:
	o  Getty can be scheduled to be active only during specified time
	   intervals, and inactive the rest of the time.
	o  Getty no longer assumes control of the serial line, so that
	   other devices can use it.
	o  Default terminal type can be specified on the command line
  Standard Features:
        o  Getty performs modem initialization at startup, so that your
	   modem is configured correctly for incoming calls.
	o  Highly configurable interface to allow for different modem
	   speeds and configurations.
	o  Uugetty reinitializes the modem if another program uses the
	   line.

I have uploaded a complete set of sources and sample configuration files to
sunsite.unc.edu and tsx-11.mit.edu.

The relevant file is getty_ps2.0.6b.tar.z.  It is currently in the Incoming
directories at both sites.  Please use gzip to decompress this file.

Kris Gleason
[email-masked]

-- 
Send submissions for comp.os.linux.announce to: [email-masked]